## org.aspectj.lang.reflect
Interface AdviceSignature

All Superinterfaces:
  CodeSignature, MemberSignature, Signature

public interface AdviceSignature
extends CodeSignature

Method Summary
`Method` `getAdvice()`
`Class` `getReturnType()`

Methods inherited from interface org.aspectj.lang.reflect.CodeSignature
`getExceptionTypes, getParameterNames, getParameterTypes`

Methods inherited from interface org.aspectj.lang.Signature
`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

Method Detail

### getReturnType

    public Class getReturnType()

### getAdvice

    public Method getAdvice()